From 503370c9fb9df2c2f4895be43ef56b4bd3347638 Mon Sep 17 00:00:00 2001
From: Markus Frosch <markus.frosch@icinga.com>
Date: Tue, 19 Nov 2019 09:00:47 +0100
Subject: [PATCH] Revert "rpm: Fix requirements installation on SUSE"

This reverts commit 02c6a2cae8fd1c2847861a475aa8d10a2e18f3c5.
---
 icinga-build-rpm-binary | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

diff --git a/icinga-build-rpm-binary b/icinga-build-rpm-binary
index cd676f0..60d260d 100755
--- a/icinga-build-rpm-binary
+++ b/icinga-build-rpm-binary
@@ -41,16 +41,9 @@ echo "[ Installing build dependencies ]"
 case "$ICINGA_BUILD_OS" in
   opensuse*|sles)
     (
-      if ! requires="$(rpm -qpR "${source_rpm}")"; then
-        echo "Could not lookup requires in source RPM!" >&2
-        exit 1
-      fi
-
-      echo "Found required: $requires"
-      if [ -n "$requires" ]; then
-        set -ex
-        run-retry-timeout sudo zypper --non-interactive install
-      fi
+      set -ex
+      # shellcheck disable=SC2046
+      run-retry-timeout sudo zypper --non-interactive install $(rpm -qpR "${source_rpm}")
     )
     ;;
   *)
-- 
GitLab